Subject: bug#1337: crash on going into non-existing dir with find-file

From: Chong Yidong <[email-masked]>
Date: Sat, 15 Nov 2008 00:34:50 -0500

YAMAMOTO Mitsuharu <[email-masked]> writes:

> Thanks.  I could reproduce it with a slightly different version of
> tabbar.el.
>
> I think the patch below will fix it.  The other terms (X11, W32) need
> a similar change.  It may not happen on X11 using the above procedure,
> but it has something to do with drawing with overhangs, and whether
> the crash occurs or not depends on the metric of the used font.

Thanks for the quick work debugging.  Your analysis is, of course,
correct, and I've checked the fix into xterm.c and w32term.c in CVS
trunk.